<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0) on Wed Aug 15 19:46:55 CEST 2007 -->
<TITLE>
FigureRangeChecking
</TITLE>

<META NAME="date" CONTENT="2007-08-15">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="FigureRangeChecking";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/FigureRangeChecking.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../gui/chess/normal/NormalBoard.html" title="class in gui.chess.normal"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?gui/chess/normal/FigureRangeChecking.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="FigureRangeChecking.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
gui.chess.normal</FONT>
<BR>
Class FigureRangeChecking</H2>
<PRE>
<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><B>gui.chess.normal.FigureRangeChecking</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <B>FigureRangeChecking</B><DT>extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
Checks the movement range for all figures and provides counter check
 checking.
<P>

<P>
<DL>
<DT><B>Author:</B></DT>
  <DD>robert.wloch@tempel-der-guten-dinge.de</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/FigureRangeChecking.html#X_AXIS">X_AXIS</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Value for X_AXIS.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/FigureRangeChecking.html#Y_AXIS">Y_AXIS</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Value for Y_AXIS.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../gui/chess/normal/FigureRangeChecking.html#FigureRangeChecking(gui.chess.normal.NormalBoard)">FigureRangeChecking</A></B>(<A HREF="../../../gui/chess/normal/NormalBoard.html" title="class in gui.chess.normal">NormalBoard</A>&nbsp;board)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Construction with TriDBoard.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/FigureRangeChecking.html#checkDiagonal(boolean, int, int, int, int[], boolean)">checkDiagonal</A></B>(boolean&nbsp;isWhite,
              int&nbsp;limit,
              int&nbsp;signX,
              int&nbsp;signY,
              int[]&nbsp;b,
              boolean&nbsp;attackOnly)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks next diagonal field relative to current board position if it's free
 to move onto it.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/FigureRangeChecking.html#checkJumps(boolean, int[])">checkJumps</A></B>(boolean&nbsp;isWhite,
           int[]&nbsp;b)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all jump destination fields relative to current board position if
 they're free to move onto.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/FigureRangeChecking.html#checkStraight(boolean, int, int, int[], int)">checkStraight</A></B>(boolean&nbsp;isWhite,
              int&nbsp;limit,
              int&nbsp;sign,
              int[]&nbsp;b,
              int&nbsp;xy)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks next field relative to current board position if it's free to move
 onto it.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/FigureRangeChecking.html#highlightBishopRange(model.chess.Field)">highlightBishopRange</A></B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Starts field highlighting calculations from current field on for bishops.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/FigureRangeChecking.html#highlightCastleRange(model.chess.Field)">highlightCastleRange</A></B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Starts field highlighting calculations from current field on for castles.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/FigureRangeChecking.html#highlightKingQueenRange(model.chess.Field, int, int)">highlightKingQueenRange</A></B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f,
                        int&nbsp;x,
                        int&nbsp;y)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Starts field highlighting calculations from current field on for queens
 and kings.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/FigureRangeChecking.html#highlightKnightRange(model.chess.Field)">highlightKnightRange</A></B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Starts field highlighting calculations from current field on for knights.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/normal/FigureRangeChecking.html#highlightPawnRange(model.chess.Field)">highlightPawnRange</A></B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Starts field highlighting calculations from current field on for pawns.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="X_AXIS"><!-- --></A><H3>
X_AXIS</H3>
<PRE>
public static final int <B>X_AXIS</B></PRE>
<DL>
<DD>Value for X_AXIS.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#gui.chess.normal.FigureRangeChecking.X_AXIS">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="Y_AXIS"><!-- --></A><H3>
Y_AXIS</H3>
<PRE>
public static final int <B>Y_AXIS</B></PRE>
<DL>
<DD>Value for Y_AXIS.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#gui.chess.normal.FigureRangeChecking.Y_AXIS">Constant Field Values</A></DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="FigureRangeChecking(gui.chess.normal.NormalBoard)"><!-- --></A><H3>
FigureRangeChecking</H3>
<PRE>
public <B>FigureRangeChecking</B>(<A HREF="../../../gui/chess/normal/NormalBoard.html" title="class in gui.chess.normal">NormalBoard</A>&nbsp;board)</PRE>
<DL>
<DD>Construction with TriDBoard.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>board</CODE> - </DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="highlightPawnRange(model.chess.Field)"><!-- --></A><H3>
highlightPawnRange</H3>
<PRE>
public void <B>highlightPawnRange</B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</PRE>
<DL>
<DD>Starts field highlighting calculations from current field on for pawns.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>f</CODE> - current field</DL>
</DD>
</DL>
<HR>

<A NAME="highlightCastleRange(model.chess.Field)"><!-- --></A><H3>
highlightCastleRange</H3>
<PRE>
public void <B>highlightCastleRange</B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</PRE>
<DL>
<DD>Starts field highlighting calculations from current field on for castles.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>f</CODE> - current field</DL>
</DD>
</DL>
<HR>

<A NAME="highlightKnightRange(model.chess.Field)"><!-- --></A><H3>
highlightKnightRange</H3>
<PRE>
public void <B>highlightKnightRange</B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</PRE>
<DL>
<DD>Starts field highlighting calculations from current field on for knights.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>f</CODE> - current field</DL>
</DD>
</DL>
<HR>

<A NAME="highlightBishopRange(model.chess.Field)"><!-- --></A><H3>
highlightBishopRange</H3>
<PRE>
public void <B>highlightBishopRange</B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</PRE>
<DL>
<DD>Starts field highlighting calculations from current field on for bishops.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>f</CODE> - current field</DL>
</DD>
</DL>
<HR>

<A NAME="highlightKingQueenRange(model.chess.Field, int, int)"><!-- --></A><H3>
highlightKingQueenRange</H3>
<PRE>
public void <B>highlightKingQueenRange</B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f,
                                    int&nbsp;x,
                                    int&nbsp;y)</PRE>
<DL>
<DD>Starts field highlighting calculations from current field on for queens
 and kings.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>f</CODE> - current field<DD><CODE>x</CODE> - board width<DD><CODE>y</CODE> - board height</DL>
</DD>
</DL>
<HR>

<A NAME="checkDiagonal(boolean, int, int, int, int[], boolean)"><!-- --></A><H3>
checkDiagonal</H3>
<PRE>
protected void <B>checkDiagonal</B>(boolean&nbsp;isWhite,
                             int&nbsp;limit,
                             int&nbsp;signX,
                             int&nbsp;signY,
                             int[]&nbsp;b,
                             boolean&nbsp;attackOnly)</PRE>
<DL>
<DD>Checks next diagonal field relative to current board position if it's free
 to move onto it. If signX is 1 field is "east", if it's -1 field is
 "west". If signY is 1 forward is "north", if it's -1 it's "south".<br>
 The limit is the number of fields that will be checked at most if no
 figure is in the way. It's determined by the range of a figure.<br>
 Normally a field is allowed to be moved on, if it's not occupied. However,
 some figures can only move diagonally for attacks (pawns). To "turn
 around" the checking, attackOnly should be true.<br>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>isWhite</CODE> - true, if checking is done for a white figure<DD><CODE>limit</CODE> - maximum number of fields to check further<DD><CODE>signX</CODE> - movement "west": -1, "east": 1<DD><CODE>signY</CODE> - movement "south" (black pawns): -1, "north" (white pawns): 1<DD><CODE>b</CODE> - current 3D board position<DD><CODE>attackOnly</CODE> - allows move only, if target field is occupied by a figure</DL>
</DD>
</DL>
<HR>

<A NAME="checkStraight(boolean, int, int, int[], int)"><!-- --></A><H3>
checkStraight</H3>
<PRE>
public void <B>checkStraight</B>(boolean&nbsp;isWhite,
                          int&nbsp;limit,
                          int&nbsp;sign,
                          int[]&nbsp;b,
                          int&nbsp;xy)</PRE>
<DL>
<DD>Checks next field relative to current board position if it's free to move
 onto it.<br>
 For xy = 0:<br>
 If sign is 1 it's "east", if it's -1 it's "west".<br>
 For xy = 1:<br>
 If sign is 1 it's "north", if it's -1 it's "south".<br>
 The limit is the number of columns that will be checked at most if no
 figure is in the way. It's determined by the range of a figure.<br>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>isWhite</CODE> - true, if checking is done for a white figure<DD><CODE>limit</CODE> - maximum number of fields to check further<DD><CODE>sign</CODE> - movement direction<DD><CODE>b</CODE> - current 3D board position<DD><CODE>xy</CODE> - movement axis</DL>
</DD>
</DL>
<HR>

<A NAME="checkJumps(boolean, int[])"><!-- --></A><H3>
checkJumps</H3>
<PRE>
public void <B>checkJumps</B>(boolean&nbsp;isWhite,
                       int[]&nbsp;b)</PRE>
<DL>
<DD>Checks all jump destination fields relative to current board position if
 they're free to move onto.<br>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>isWhite</CODE> - true, if checking is done for a white figure<DD><CODE>b</CODE> - current 3D board position</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/FigureRangeChecking.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../gui/chess/normal/NormalBoard.html" title="class in gui.chess.normal"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?gui/chess/normal/FigureRangeChecking.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="FigureRangeChecking.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
